Subject: Handling of system 'locale' field needs improvement
From: Mark H Weaver <[email-masked]>
To: [email-masked]
Date: Sat, 06 Feb 2016 09:22:14 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Multiple users on #guix have been bitten by the following error message:

  guix system: error: system locale lacks a definition

and even several seasoned developers on #guix didn't know the answer.

At minimum, the error message should be improved to point to the
relevant documentation.

Better yet, the value of the 'locale' field should be automatically
added to the default value of 'locale-definitions' if it's not already
there.  The overwhelming majority of users set their 'locale' and have
no interest in 'locale-definitions'.

    Regards,
      Mark